# class GlobalID::Locator::UnscopedLocator

### Public Instance Methods

locate(gid) click to toggle source
Calls superclass method GlobalID::Locator::BaseLocator#locate

    # File lib/global_id/locator.rb, line 154
    def locate(gid)
      unscoped(gid.model_class) { super }
    end

### Private Instance Methods

find_records(model_class, ids, options) click to toggle source
Calls superclass method GlobalID::Locator::BaseLocator#find_records

    # File lib/global_id/locator.rb, line 159
    def find_records(model_class, ids, options)
      unscoped(model_class) { super }
    end

unscoped(model_class) { || ... } click to toggle source

    # File lib/global_id/locator.rb, line 163
    def unscoped(model_class)
      if model_class.respond_to?(:unscoped)
        model_class.unscoped { yield }
      else
        yield
      end
    end